- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::ServerProtocol::Sender Class Referenceabstract

An interface used by ServerProtocol to send protocol replies. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocol::Sender:

## Public Member Functions
virtual bool | protocolSend (const std::string &s, size_t offset)=0
virtual | ~Sender ()

## Detailed Description

An interface used by ServerProtocol to send protocol replies.

Definition at line 55 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

GPop::ServerProtocol::Sender::~Sender | ( |  | ) |
| virtual

Definition at line 618 of file gpopserverprotocol.cpp.

## Member Function Documentation

virtual bool GPop::ServerProtocol::Sender::protocolSend | ( | const std::string & | s,
|  | size_t | offset
| ) |  |
| pure virtual

Implemented in GPop::ServerPeer.

The documentation for this class was generated from the following files:

- gpopserverprotocol.h
- gpopserverprotocol.cpp